用于Ubuntu 10.10的Eclipse 3.6 Helios

我有我的戴尔工作室笔记本电脑上安装的Ubuntu 10.10networking版本。 我下载helios的日食网站,但是当我无法运行它。 我已经从突触包pipe理器下载了eclipse 3.5,但是我无法将eclipse 3.5更新到eclipse 3.6。 是否有任何其他方式来更新eclipse? Eclipse 3.6支持HTML 5。

请让我知道,多谢提前

Solutions Collecting From Web of "用于Ubuntu 10.10的Eclipse 3.6 Helios"

尝试这个:

要在ubuntu上安装eclipse,你需要首先从http://www.eclipse.org/downloads/下载它。右键点击解压下载的文件,然后解压或运行以下命令:

tar xzf dir/eclipse-SDK-3.3.1.1-linux-gtk.tar.gz 

eclipse-SDK-3.3.1.1-linux-gtk是eclipse-SDK的名称,dir是eclipse-sdk的目录。

现在将其移动到根目录。 应用下面的命令来做到这一点。

 sudo mv dir/eclipse ~ 

现在你已经准备好配置你的eclipse了。 要做到这一点,请按照以下步骤…

 sudo mv eclipse /opt/ 

照顾权限:

 sudo chmod -R +r /opt/eclipse sudo chmod +x /opt/eclipse/eclipse 

在路径中创建一个可执行文件

 sudo touch /usr/bin/eclipse sudo chmod 755 /usr/bin/eclipse sudo gedit /usr/bin/eclipse 

复制以下内容并保存文件:

 #!/bin/sh export ECLIPSE_HOME="/opt/eclipse" $ECLIPSE_HOME/eclipse $* 

让我们通过创建一个符号链接来使eclipse可执行文件无处不在:

 sudo ln -s /usr/bin/eclipse /bin/eclipse 

创建菜单图标:

 sudo gedit /usr/share/applications/eclipse.desktop 

输入这个内容并保存:

 [Desktop Entry] Encoding=UTF-8 Name=Eclipse Comment=Eclipse IDE Exec=eclipse Icon=/opt/eclipse/icon.xpm Terminal=false Type=Application Categories=GNOME;Application;Development; StartupNotify=true 

第一次运行:

 eclipse -clean 

您现在可以通过在终端中输入eclipse或从GNOME菜单应用程序 – >编程 – > Eclipse中启动Eclipse

至少,你仍然有手动安装 ,这会使你当前的Eclipse3.5保持不变(如果3.6给你带来太多的麻烦,你可以回到它)

为了让你的3.6下载运行:

  • 将下载文件解压到您完全控制的目录中,通常是用户名下的目录,保留文件夹。
  • 通常在产生的“ eclipse ”文件夹中创建一个eclipse可执行文件的快捷方式。
  • 使用生成的快捷方式运行该程序。
  • 当你的新的eclipse安装启动时,指向你现有的工作区。
    您可以使用相同的工作区继续安装3.5和3.6,也可以通过从软件管理程序中取消选择3.5(几种方法之一)来删除3.5。

亚历山大·波格雷布尼亚克(Alexander Pogrebnyak)在评论中指出:

工作区不能往返3.5->3.6->3.5
通常的解决方案是将3.5和3.6版本的工作区保存在不同的目录中。

每个版本都有一个工作区的想法始终是最安全的路线, 每个项目都被导入到每个工作区 。


请注意,您必须确保您的java安装正确 (应该已经适合您,但以防万一):

在Ubuntu 10.10上安装Helios 3.6相当简单。
从eclipse.org下载eclipse包,并将其解压到主目录中的一个文件夹。

棘手的部分是从sun合作伙伴仓库设置java6-jdk ,但有一个易于遵循的指南 :
基本上你必须启用合作伙伴仓库,然后安装java6 jdk:

 sudo apt-get install sun-java6-jre sun-java6-plugin 

然后如果有必要更新您的java选择:

 # shows a list with available java alternatives: sudo update-java-alternatives -l # sets the alternative sudo update-java-alternatives -s java-6-sun sudo update-alternatives --config java 

通过官方Ubuntu渠道可用的Eclipse版本是3.5,不应手动升级到3.6。 你可能没有写权限这样做。

如果你必须有3.6,最简单的方法是从eclipse.org下载官方发行版,解压缩并直接运行eclipse二进制文件。 这也使您可以通过升级和额外的模块完全自行管理。

通过官方Ubuntu渠道可用的Eclipse版本是3.5,不应手动升级到3.6。 你可能没有写权限这样做。

有一个PPA可用,它应该让你在软件包到达Ubuntu回购之前通过软件包管理进行升级。 可悲的是,包现在似乎 破了。